package org.howardism.example;
/**
 * Copyright 2008, Howard Abrams (http://www.howardism.org)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import groovy.lang.Closure;
import org.jmock.integration.junit4.JUnit4Mockery;

/**
 * @see <a href="http://groovy.codehaus.org/Using+JMock+with+Groovy">JMock with Groovy</a>
 */
public class JUnit4GroovyMockery extends JUnit4Mockery {
    class ClosureExpectations extends org.jmock.Expectations {
        void closureInit(Closure cl, Object delegate) {
            cl.setDelegate(delegate);
            cl.call();
        }
    }

    /**
     * Makes our tests a little more DSL-like (er, Groovy-ish), 
     * the following helper calls the JMock's checking, but allows the values
     * to come with a closure.
     * @param c A Groovy closure
     */
    public void checking(Closure c) {
        ClosureExpectations expectations = new ClosureExpectations();
        expectations.closureInit(c, expectations);
        super.checking(expectations);
    }
}