/**
 * Copyright 2008, Howard Abrams (http://www.howardism.org)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.howardism.example

import org.junit.Assert
import org.junit.Test


/**
 * 
 */
public class UtilitiesTests extends GroovyTestCase
{
  /**
   * @see org.howardism.example.Utilities#split(java.lang.String, java.lang.String)
   */
  @Test
  void testSplit()
  {
    def original   = "foo:and:bar"
    def delimiter  = ':'
    def expected = [ 'foo', ':', 'and', ':', 'bar' ]
    
    assertArrayEquals ( expected, Utilities.split(original, delimiter) )
  }
  
}
